Pre-release

@sassbot sassbot released this Mar 16, 2018 · 296 commits to master since this release

Assets 8
  • Add support for importing an _index.scss or _index.sass file when importing a directory.

  • Add a --load-path command-line option (alias -I) for passing additional paths to search for Sass files to import.

  • Add a --quiet command-line option (alias -q) for silencing warnings.

  • Add an --indented command-line option for using the indented syntax with a stylesheet from standard input.

  • Don't merge the media queries not type and (feature). We had previously been generating not type and (feature), but that's not actually the intersection of the two queries.

  • Don't crash on $x % 0.

  • The standalone executable distributed on GitHub is now named sass rather than dart-sass. The dart-sass executable will remain, with a deprecation message, until 1.0.0 is released.

Dart API

  • Add a Logger class that allows users to control how messages are printed by stylesheets.

  • Add a logger parameter to compile(), compileAsync(), compileString(), and compileStringAsync().

Node JS API

  • Import URLs passed to importers are no longer normalized. For example, if a stylesheet contains @import "./foo.scss", importers will now receive "./foo.scss" rather than "foo.scss".